
export type Stat = "AGI" | "INT" | "CHA" | "PSI";
export const ALL_STATS: Array<Stat> = ["AGI", "INT", "CHA", "PSI"];

export type SkillGoverning = {
  stats: Stat[], underTarget: number, target: number, cost: number, note: string
};
export type SkillProfile = {
  name: string,
  description: string,
}

export type SkillData = {
  governing: SkillGoverning,
  profile: SkillProfile,
  prereqs: Skill[]
}

export type Skill = {
  id: number
}
